### Method

# Gimp Metadata set_from_xmp

#### Declaration [src]

    gboolean
    gimp_metadata_set_from_xmp (
      GimpMetadata* metadata,
      const guchar* xmp_data,
      gint xmp_data_length,
      GError** error
    )

#### Description [src]

Sets the tags from a piece of XMP data on `metadata`.

Available since: | 2.10

#### Parameters

`xmp_data` | An array of `guchar`
| The blob of XMP data to set.
| The length of the array is specified in the `xmp_data_length` argument.
| The data is owned by the caller of the function.
`xmp_data_length` | `gint`
| Length of `xmp_data`, in bytes.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, `FALSE` otherwise.